<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BackdoorRequirement](./bitburner.backdoorrequirement.md)

## BackdoorRequirement interface

Player must have installed a backdoor on this server.

**Signature:**

```typescript
interface BackdoorRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [server](./bitburner.backdoorrequirement.server.md) |  | string |  |
|  [type](./bitburner.backdoorrequirement.type.md) |  | "backdoorInstalled" |  |

